Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		gc 
Summary:        %{name} is a garbage collector as a replacement for C malloc or C++ new.
Version:	6.8
Release:	1
Provides:	%{name}
License:	BSD 
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
Group:		Development/C
Source0:	%{name}%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
The Boehm-Demers-Weiser conservative garbage collector (gc) can be used as a garbage collecting
replacement for C malloc or C++ new. It is also used by a number of programming language implementations
that use C as intermediate code. Alternatively, it may be used as a leak detector for C or C++ programs.
A slightly older version of the garbage collector is also included as part of the GNU compiler
(gcc) distribution.
For more details see: http://www.hpl.hp.com/personal/Hans_Boehm/gc/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.8-1
- Version update
* Fri Nov 18 2005 Christian Wasem <wasem@cux-linux.de> 6.6-1
- Update to Version 6.6, removed wrong Obsoletes-Tag  
* Fri Feb 10 2005 Christian Wasem <wasem@cux-linux.de> 6.4-1
- Update to Version 6.2  
